/**
 * Utilities for the various converters.
 * @module
 */
import { ProjectReflection } from 'typedoc';
import { ParentReflection } from '../model';
import { ClassDeclarationReflection, InterfaceDeclarationReflection, KnownMethods } from './types';
export declare function findParentReflectionByName(project: ProjectReflection, name: string): ParentReflection | undefined;
/**
 * Finds _all_ async methods in a class or interface
 * @param refl Class reflection
 * @param knownMethods Known methods (if any)
 * @returns Map of method names to method reflections
 */
export declare function findAsyncMethodsInReflection(refl: ClassDeclarationReflection | InterfaceDeclarationReflection, knownMethods?: KnownMethods): KnownMethods;
//# sourceMappingURL=utils.d.ts.map